/// class PD.Web.UI.Controls.ViewGridRefreshCommand
/// using PD.Web.UI.Controls.ViewGridCommand

PD.Web.UI.Controls.ViewGridRefreshCommand =
PD.Web.UI.Controls.ViewGridCommand.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    setDefaults: function () {
        this._super();
        this.props("id", "view-grid/refresh");
        this.props("enabled", true);
        this.props("icon", "refresh.14px.font");
        this.props("label", "Refresh");
        this.props("tooltip", "Refresh");
    },

    execute: function (e) {
        this._super(e);
        this.get_viewGrid().refresh();
    }

});